classification
Title: importlib needs to be updated for __qualname__
Type: behavior Stage: resolved
Components: Library (Lib) Versions: Python 3.3
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: meador.inge Nosy List: brett.cannon, meador.inge, pitrou, python-dev
Priority: normal Keywords: easy, patch

Created on 2011-12-13 14:08 by meador.inge, last changed 2011-12-15 04:56 by meador.inge. This issue is now closed.

Files
File name Uploaded Description Edit
importlib-qualname.patch meador.inge, 2011-12-13 14:08 Patch against tip (3.3.0a0) review
Messages (5)
msg149389 - (view) Author: Meador Inge (meador.inge) * (Python committer) Date: 2011-12-13 14:08
I was recently reading the 'importlib' code and noticed that the utility 
decorators have not been updated for '__qualname__':

>>> def f(): pass
... 
>>> importlib.util.set_loader(f)
<function set_loader.<locals>.wrapper at 0x7f4b323f1f60>
>>> importlib.util.set_loader(f).__name__
'f'
>>> importlib.util.set_loader(f).__qualname__
'set_loader.<locals>.wrapper'

The attached patch fixes this.  OK to commit?
msg149394 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2011-12-13 15:45
Looks ok to me.
msg149478 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2011-12-14 21:20
Seems fine to me, and if Antoine says it's doing the right thing then I'm cool with the patch.
msg149501 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2011-12-15 04:55
New changeset 54a77c556d9a by Meador Inge in branch 'default':
Issue #13593: updating the importlib utility decorators for __qualname__.
http://hg.python.org/cpython/rev/54a77c556d9a
msg149502 - (view) Author: Meador Inge (meador.inge) * (Python committer) Date: 2011-12-15 04:56
Fix committed.  Thanks for the review Antoine and Brett.
History
Date User Action Args
2011-12-15 04:56:09meador.ingesetstatus: open -> closed
resolution: fixed
messages: + msg149502

stage: commit review -> resolved
2011-12-15 04:55:08python-devsetnosy: + python-dev
messages: + msg149501
2011-12-14 21:20:02brett.cannonsetassignee: meador.inge
messages: + msg149478
2011-12-13 15:45:47pitrousetmessages: + msg149394
2011-12-13 14:14:16ezio.melottisetnosy: + pitrou

stage: patch review -> commit review
2011-12-13 14:08:16meador.ingecreate